%define upname		xf86-video-nouveau
%define snapshot	%nil
%define rel		2

Summary:	Accelerated open source driver for NVIDIA cards
Name:		x11-driver-video-nouveau
Version:	1.0.2
%if "%snapshot" == ""
Release:	%rel
Source0:	http://nouveau.freedesktop.org/release/%{upname}-%{version}.tar.bz2
%else
Release:	0.%snapshot.%rel
# rm -rf xf86-video-nouveau && git clone git://anongit.freedesktop.org/git/nouveau/xf86-video-nouveau/ && cd xf86-video-nouveau/
# git archive --prefix=xf86-video-nouveau-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../xf86-video-nouveau-$(date +%Y%m%d).tar.xz
Source0:	%{upname}-%{snapshot}.tar.xz
%endif
Group:		System/X11
License:	MIT
URL:		http://nouveau.freedesktop.org/
BuildRequires:	libdrm-devel >= 2.4.35
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	pkgconfig(xorg-server) >= 1.13
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	GL-devel
%if %mdvver >= 201200
BuildRequires:	pkgconfig(udev) >= 186
%else
BuildRequires:	pkgconfig(udev)
%endif
BuildRequires:	libdrm-devel
BuildRequires:	libdrm-common
Conflicts:	xorg-x11-server < 7.0
# No DKMS package for now; nouveau module is in main kernel.
# If needed, DKMS package may be resurrected, but work is needed to make it
# build with the new linux-2.6 tree of nouveau.
Obsoletes:	dkms-nouveau < 0.0.13-0.20090600
Requires:	kmod(nouveau)
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
# No firmware needed:
Obsoletes:	nouveau-firmware < 20091212-2

%description
The nouveau project aims to build high-quality, open source drivers
for NVIDIA cards.

%prep
%if "%snapshot" != ""
%setup -q -n %{upname}-%{snapshot}
%else
%setup -q -n %upname-%version
%endif
[ -e autogen.sh ] && ./autogen.sh

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau*


%changelog
* Sat Oct 06 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.0.2-2
+ Revision: 818595
- Rebuild for x11-server 1.13

* Mon Sep 17 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.0.2-1
+ Revision: 816995
- version up 1.0.2

* Sun Jul 08 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-2
+ Revision: 808520
- rebuild for new udev >= 186

* Wed Jun 20 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.0.1-1
+ Revision: 806374
- Update to 1.0.1 release

* Wed Jun 20 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.0.0-0.20120619.1
+ Revision: 806294
- BR libdrm-devel >= 2.4.35
- version update 1.0.0
- version update 0.0.16_pre20120508

* Tue Mar 27 2012 Bernhard Rosenkraenzer <bero@bero.eu> 0.0.16-0.20120322.2
+ Revision: 787346
- Rebuild for x11-server 1.12

* Mon Mar 26 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.0.16-0.20120322.1
+ Revision: 786913
- la files removed
- version update 0.0.16_pre20120322

* Sat Oct 08 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.16-0.20110613.3
+ Revision: 703722
- rebuild for new x11-server

* Tue Jun 14 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.0.16-0.20110613.2
+ Revision: 684975
- New snapshot

* Thu Jun 09 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.0.16-0.20110415.2
+ Revision: 683548
- Rebuild for new x11-server

* Tue Apr 19 2011 Alexandre Lissy <alissy@mandriva.com> 0.0.16-0.20110415.1
+ Revision: 655927
- Fix BuildRequires for libdrm-devel to ensure build success
- Updating to newer nouveau git snapshot

* Sun Nov 07 2010 Thierry Vignaud <tv@mandriva.org> 0.0.16-0.20100816.3mdv2011.0
+ Revision: 594705
- require x11-server-common in order to cheat poor env on kenobi which is 2010.x

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 0.0.16-0.20100816.2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Mon Aug 16 2010 Anssi Hannula <anssi@mandriva.org> 0.0.16-0.20100816.1mdv2011.0
+ Revision: 570270
- new snapshot

* Sat Jul 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.16-0.20100724.1mdv2011.0
+ Revision: 558115
- update to new snapshot 20100724
- bump version to 0.0.16
- add buildrequires on udev-devel

* Wed Mar 17 2010 Anssi Hannula <anssi@mandriva.org> 0.0.15-0.20100316.1mdv2010.1
+ Revision: 523326
- new snapshot
  o ABI change, this version will require a new kernel
    (e.g. main kernel 2.6.33.1-1mnb)
- bump libdrm requirement
- obsoletes nouveau-firmware, no longer used
- ensure version correctness in prep

* Sat Feb 06 2010 Anssi Hannula <anssi@mandriva.org> 0.0.15-0.20100206.1mdv2010.1
+ Revision: 501484
- bump buildrequires on libdrm-devel
- new snapshot
- drop unneeded configure options
- drop unneeded patches (dcbconf_7_4_ignore.patch, bgnr.patch,
  multiple-xserver.patch)

* Mon Dec 21 2009 Anssi Hannula <anssi@mandriva.org> 0.0.15-0.20091221.1mdv2010.1
+ Revision: 480929
- new snapshot
- update summary and description
- drop unapplied bicupic-2x.patch
- drop store-vbios.patch, we do not need to store bios
- remove BR on kernel-headers which is already required by glibc-devel

* Fri Dec 18 2009 Thomas Backlund <tmb@mandriva.org> 0.0.15-0.20091204.2mdv2010.1
+ Revision: 480016
- require nouveau-firmware (needed for 2.6.33 series kernels)

* Fri Dec 04 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.15-0.20091204.1mdv2010.1
+ Revision: 473511
- update to new snapshot 20091204
- bump version requires on libdrm to 2.4.16
- disable patch 3

* Sat Nov 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.15-0.20091111.1mdv2010.1
+ Revision: 466090
- revert to older commit, which does not need git version of libdrm
- update to new snapshot 20091108
- update to new snapshot 20091024
- provide better description

* Sat Sep 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.15-0.20090926.1mdv2010.0
+ Revision: 449543
- new snapshot 20090926
- Patch3: xv only use bicubic filtering when scaling >=2x
- Patch4: support multiple xserver instances

* Mon Sep 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.10-0.20090921.2mdv2010.0
+ Revision: 446868
- new snapshot 20090921

* Sun Sep 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.10-0.20090913.2mdv2010.0
+ Revision: 439019
- new snapshot 20090913

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.10-0.20090907.2mdv2010.0
+ Revision: 432857
- update to new snapshot 20090907
- add three patches from Fedora

* Sun Aug 09 2009 Anssi Hannula <anssi@mandriva.org> 0.0.10-0.20090809.1mdv2010.0
+ Revision: 412950
- new snapshot

* Sun Aug 02 2009 Anssi Hannula <anssi@mandriva.org> 0.0.10-0.20090803.1mdv2010.0
+ Revision: 407656
- new snapshot
- bump buildrequires on libdrm-devel

* Fri Jul 24 2009 Anssi Hannula <anssi@mandriva.org> 0-0.20090724.1mdv2010.0
+ Revision: 399516
- new snapshot
- bump buildrequires on libdrm-devel
- obsolete dkms-nouveau for now

* Sat May 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0-0.20090530.1mdv2010.0
+ Revision: 381352
- new snapshot

* Mon Mar 02 2009 Anssi Hannula <anssi@mandriva.org> 0-0.20090302.1mdv2009.1
+ Revision: 347411
- new snapshot
- drop format-string.patch, fixed upstream

* Sun Jan 11 2009 Anssi Hannula <anssi@mandriva.org> 0-0.20090111.1mdv2009.1
+ Revision: 328160
- new snapshot
- drop lcd bit patch, fixed upstream
- P0: fix format string

* Fri Sep 12 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080912.1mdv2009.0
+ Revision: 284259
- new snapshot

* Thu Jun 05 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080605.1mdv2009.0
+ Revision: 215170
- new snapshot
- do not force failure on those unknown LVDS bits that have been reported
  already

  + Thierry Vignaud <tv@mandriva.org>
    - improved description
    - add missing dot at end of description

* Fri May 09 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080509.1mdv2009.0
+ Revision: 204767
- new snapshot

* Thu May 01 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080501.1mdv2009.0
+ Revision: 199905
- new snapshot

* Tue Apr 15 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080415.1mdv2009.0
+ Revision: 193605
- new snapshot

* Sat Feb 23 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080223.1mdv2008.1
+ Revision: 174091
- new snapshot

* Tue Feb 05 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080205.1mdv2008.1
+ Revision: 162738
- new snapshot

* Sun Jan 20 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080120.1mdv2008.1
+ Revision: 155158
- new snapshot

* Fri Jan 11 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080111.1mdv2008.1
+ Revision: 148729
- new snapshot

* Wed Jan 02 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080102.1mdv2008.1
+ Revision: 140292
- new snapshot

* Tue Dec 25 2007 Anssi Hannula <anssi@mandriva.org> 0-0.20071224.1mdv2008.1
+ Revision: 137627
- initial Mandriva release

